[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# VarTypeDeRef

Returns the resolved type of a variant.

## Declaration

Source position: variants.pp line 67

`function VarTypeDeRef(`
`const V: Variant`
`):tvartype; overload; function VarTypeDeRef(`
`const V: tvardata`
`):tvartype; overload;`

## Description

VarTypeDeRef will resolve the final type of the variant V: if V is a reference to another variant, the function will return the type of the referenced variant, recursing as much as needed till a non-variant type is encountered.

## See also

VarType |  | Return the type of a variant.
VarIsType |  | Check if a variant is of certain type
VarAsType |  | Attempt to cast a variant to another type